Slackware 14.1:西班牙語的Mozilla firefox

SlackTip#3:Mozilla Firefox西班牙語

新用戶可能會討厭的一件事 Slackware的 西班牙語,是這樣的事實,儘管您的系統幾乎完全使用西班牙語,但默認情況下附帶的瀏覽器(Mozilla Firefox瀏覽器)與該分佈不匹配。

1. Firefox zh-CN

眾所周知, Slackware的,如果不使用軟件包的最新版本(如果不是穩定版本的話),通常會發現自己陷入了“宿醉”狀態(尤其是如果我們談論的這款瀏覽器顯然以每年使用最多版本的瀏覽器的吉尼斯記錄為目標)。

在本例中,我將使用當前版本的 Mozilla firefox 31.2.0。

2.當前版本的mozilla firefox
如果我們嘗試直接安裝 語言包 我們感到驚訝的是 不適用於我們的版本 (31.2.0),因為當前的是 33.1 它們是不兼容的。

3.語言包不適用於版本

幸運的是,有一種簡單的方法可以解決此問題。

在語言包的頁面上,我們進行到結尾,在這裡我們會找到圖例«版本信息»通過點擊顯示該選項«查看完整版本歷史“。

版本歷史

我們選擇 e 我們安裝 對於我們而言,合適的版本 31.0.

4.安裝新的語言包

現在,我們只需要再走一步。

我們寫 ”about:config中»在地址欄中,我們立即查找屬性«general.useragent.locale”(不帶引號)。

關於配置

我們改變了 el «EN-US“由”ES-MX»(就我而言,因為我來自 墨西哥),我們重新啟動 火狐 瞧,我們有我們語言的界面。

9. 火狐es-MX

 


本文內容遵循我們的原則 編輯倫理。 要報告錯誤,請單擊 這裡.

14條評論,留下您的評論

發表您的評論

您的電子郵件地址將不會被發表。 必填字段標有 *

*

*

  1. 負責數據:MiguelÁngelGatón
  2. 數據用途:控制垃圾郵件,註釋管理。
  3. 合法性:您的同意
  4. 數據通訊:除非有法律義務,否則不會將數據傳達給第三方。
  5. 數據存儲:Occentus Networks(EU)託管的數據庫
  6. 權利:您可以隨時限制,恢復和刪除您的信息。

  1.   彼得切科 他說:

    好的提示...使用Slackware時,這是我對Firefox和Thunderbird所做的第一件事:)。

  2.   mat1986 他說:

    感謝您的提示,它在Abrowser中非常有用😀

  3.   kik1n 他說:

    並使用最新版本的Firefox? 不使用電流。

      1.    文森特 他說:

        儘管當最後一個穩定版本與“當前-當前”之間的“時間距離”不大時,這些軟件包可以作為解決方案,但有時會發生新的依賴關係被創建並且這些軟件包停止提供服務的情況。 您可以試試運氣,看看是否有使用slackpkgplus為14.1構建的軟件包。
        他們的建議是藉助slackbuild或無鞍(少自述文件,少安裝,。/配置,製作,安裝install DESTDIR = paketo,cd paketo,makepkg,installpkg)進行編譯,無論您使用什麼版本:
        http://slackbuilds.org/repository/14.0/network/mozilla-firefox-esr/
        我已經修改了它,可以成功地從17.x編譯到31.x,沒有問題,只不過您需要大約4-7GB的可用磁盤空間才能將32bit編譯為32bit,而無需進行“ PGO”優化,並且大約需要40分鐘的時間2h30min取決於Core2 @ 2GHz的版本(我想它變化很大,因為我使用的設備的Ram較低,並且必須使用交換會發生以下情況:/)。
        問候。

  4.   尼古拉斯·奧爾蒂斯 他說:

    好提示。 我還有另一個團隊遇到這個問題

  5.   胡安 他說:

    對於說西班牙語的Slackware新用戶來說,可能會有些煩惱的一個事實是,儘管他們的系統幾乎完全是西班牙語的,但具有此發行版的默認瀏覽器(Mozilla Firefox)卻沒有。

    如? 有沒有人敢於使用不同於聖沃爾克丁的東西?

  6.   奧斯卡·梅薩(Oscar Meza) 他說:

    我更喜歡安裝最新版本並丟棄默認提供的esr。 以下是適用於新版本Firefox的安裝教程 http://vidagnu.blogspot.com/2012/03/firefox-en-slackware.html

  7.   剩餘72 他說:

    感謝這些提示。 他們對我們Slackware新手有很大幫助😉

  8.   剩餘72 他說:

    感謝這些提示。 我們中剛開始使用Slackware的人非常有幫助。

    1.    (-高手-) 他說:

      可悲的是,他們不支持Gnome 3和Cinnamon

  9.   莫茲 他說:

    謝謝大家對這個問題的評論和貢獻,很高興為您提供幫助。

    關於以個人身份在Slackware中擁有此瀏覽器的最新版本,我會說,我們中使用此發行版的人員基本上是出於穩定性方面的考慮,這是通過經過測試的軟件包實現的,而不是精確地使用最新版本實現的。我們會說正式版本已經過時了嗎,在瀏覽器方面很特別...同樣,我們中使用Slackware的那些人是因為我們在很大程度上同意其創建者的理念...

    對於那些希望通過大量發行獲得最新版本軟件包的人,我建議使用Arch Linux,這是我的最愛之一。

    乾杯……

  10.   文森特 他說:

    的確,幾乎最明顯的事情發生在我身上,正如他們在下面的評論中所述,您還可以打包/安裝mozilla基礎本身的二進製文件。
    碰巧我什至沒有考慮它們,因為我覺得瀏覽器的流動性較差。 如果我使用鉻二進製文件,請使用cons(https://commondatastorage.googleapis.com/chromium-browser-snapshots/Linux/…………)。

  11.   利甚 他說:

    用英語擁有所有內容會更容易。 學習語言從來沒有傷害。